<template>
    <app-layout>
        <view class="page">
            <view class='top'>签到规则</view>
            <view class='rules'>
                <text class='rule'>{{rule}}</text>
            </view>
        </view>
    </app-layout>
</template>

<script>
    import appLayout from "../../../components/basic-component/app-layout/app-layout.vue";
    import appFormId from "../../../components/basic-component/app-form-id/app-form-id.vue";

    import { mapState } from "vuex";

    export default {
        data() {
            return {
                rule: "",
            }
        },
        components: {
            "app-layout": appLayout,
            "app-form-id": appFormId
        },
        computed: {
            ...mapState({
                theme: state => state.mallConfig.theme,
            })
        },
        methods: {

            getList() {
                let that = this;
                that.$request({
                    url: that.$api.check_in.index,
                }).then(response=>{
                    that.$hideLoading();
                    if(response.code == 0) {
                        that.rule = response.data.config.rule;
                    }else {
                        uni.showToast({
                            title: response.msg,
                            icon: 'none',
                            duration: 1000
                        });
                    }
                }).catch(response => {
                    that.$hideLoading();
                });
            },
        },

        onLoad() {
            let that = this;
            that.getList();
        }
    }
</script>

<style scoped lang="scss">
    .page {
        padding-top: #{40rpx};
        color: #353535;
        background-color: white;
        position: absolute;
        width: 100%;
        height: 100%;
    }

    .top {
        margin-left: #{40rpx};
    }

    .rules{
        width: 100%;
        padding: 20rpx #{40rpx};
    }
</style>